summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Robby Workman2013-06-04 23:15:40 +0200
committer Robby Workman2013-06-05 10:17:43 +0200
commitd187ca3fb1d992674409245fc200df5d66d538ba (patch)
treede06a6622078c943e87f28321649491b920fd8fb /libraries
parent3eabed09ef6ab0091fd06c57071a2e9c095300c4 (diff)
downloadslackbuilds-d187ca3fb1d992674409245fc200df5d66d538ba.tar.gz
libraries/gnome-python2-gconf: Added (GConf bindings for Python2)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/gnome-python2-gconf/README5
-rw-r--r--libraries/gnome-python2-gconf/gnome-python2-gconf.SlackBuild99
-rw-r--r--libraries/gnome-python2-gconf/gnome-python2-gconf.info10
-rw-r--r--libraries/gnome-python2-gconf/slack-desc19
4 files changed, 133 insertions, 0 deletions
diff --git a/libraries/gnome-python2-gconf/README b/libraries/gnome-python2-gconf/README
new file mode 100644
index 0000000000..d5ecaf1a37
--- /dev/null
+++ b/libraries/gnome-python2-gconf/README
@@ -0,0 +1,5 @@
+This build GConf bindings for Python2.
+
+The gnome-python package also contains the GConf bindings, but
+many users only need the GConf bindings, so this allows them
+without all of the other unnecessary bindings.
diff --git a/libraries/gnome-python2-gconf/gnome-python2-gconf.SlackBuild b/libraries/gnome-python2-gconf/gnome-python2-gconf.SlackBuild
new file mode 100644
index 0000000000..0acc4eba4a
--- /dev/null
+++ b/libraries/gnome-python2-gconf/gnome-python2-gconf.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/sh
+#
+# Slackware build script for gnome-python
+#
+# Copyright 2009-2011 Erik W. Hanson, Minneapolis, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by Robby Workman to build only GConf bindings
+
+PRGNAM=gnome-python2-gconf
+VERSION=${VERSION:-2.28.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=gnome-python
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.bz2
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --disable-allbindings \
+ --enable-gconf \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | egrep "ELF.*shared object" | cut -f 1 -d : \
+ | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/gnome-python2-gconf/gnome-python2-gconf.info b/libraries/gnome-python2-gconf/gnome-python2-gconf.info
new file mode 100644
index 0000000000..e9748cc915
--- /dev/null
+++ b/libraries/gnome-python2-gconf/gnome-python2-gconf.info
@@ -0,0 +1,10 @@
+PRGNAM="gnome-python2-gconf"
+VERSION="2.28.1"
+HOMEPAGE="http://www.gnome.org/"
+DOWNLOAD="http://ftp.gnome.org/pub/GNOME/sources/gnome-python/2.28/gnome-python-2.28.1.tar.bz2"
+MD5SUM="a17ad952813ed86f520de8e07194a2bf"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Robby Workman"
+EMAIL="rworkman@slackbuilds.org"
diff --git a/libraries/gnome-python2-gconf/slack-desc b/libraries/gnome-python2-gconf/slack-desc
new file mode 100644
index 0000000000..9caa54305b
--- /dev/null
+++ b/libraries/gnome-python2-gconf/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+gnome-python2-gconf: gnome-python2-gconf (GConf bindings for Python2)
+gnome-python2-gconf:
+gnome-python2-gconf: gnome-python2-gconf contains GConf bindings for Python2.
+gnome-python2-gconf:
+gnome-python2-gconf:
+gnome-python2-gconf:
+gnome-python2-gconf:
+gnome-python2-gconf:
+gnome-python2-gconf:
+gnome-python2-gconf:
+gnome-python2-gconf: